[OSM-dev] Nominatim Installation problem - nominatim.xml not found

Mike Dupont jamesmikedupont at googlemail.com
Thu Dec 22 02:32:04 GMT 2011


Works for me .....

  sudo apt-get install postgresql-9.1-postgis postgis   createdb  gazetteer
  createlang plpgsql  gazetteer
  cat /usr/share/postgresql/9.1/contrib/postgis-1.5/postgis.sql | psql
 gazetteer
  cat /usr/share/postgresql/9.1/contrib/postgis-1.5/spatial_ref_sys.sql
| psql  gazetteer
  osm2pgsql -lsc --slim -O gazetteer -C 2000 -d gazetteer
~/OSM-API-Proxy/data/offenbach.osm

I think you skipped the steps to install postgis on your db...
mike

On Thu, Dec 22, 2011 at 2:33 AM, Mike  Dupont
<jamesmikedupont at googlemail.com> wrote:
> http://wiki.openstreetmap.org/wiki/Nominatim/Installation
>
> Ignore any errors about place_boundingbox not existing in the first
> run!If you get an error ERROR: type "planet_osm_ways" does not exist,
> that means you are trying to run the script on a non-slim database
> which is not supported; you need to specify -s on first import. cat
> gazetteer-tables.sql | psql gazetteer
>
>
>api.openstreetmap.org/pbf/
> On Thu, Dec 22, 2011 at 2:21 AM, Anwar Azulfa <anwar at troyans.net> wrote:
>> planet_osm_ways
>
>
>
> mike
>
> --
> James Michael DuPont
> Member of Free Libre Open Source Software Kosova http://flossk.org



-- 
James Michael DuPont
Member of Free Libre Open Source Software Kosova http://flossk.org



More information about the dev mailing list